[Setup]
AppId={{05107B45-E992-416F-B377-9A7445F6A2CA}
AppName=CommFort PaintBoard Plugin
AppVerName=CommFort PaintBoard Plugin 2.2.1 (Build 221)
AppPublisher=-=SJ=-
AppPublisherURL=http://www.commfort.com/rus/forum
AppSupportURL=http://www.commfort.com/rus/forum
AppUpdatesURL=http://www.commfort.com/rus/forum
DefaultDirName={code:DetectDir}\Plugins
DisableProgramGroupPage=yes
OutputBaseFilename=commfort-paintboard
SetupIconFile=.\Icons\graphic_design.ico
Compression=lzma
SolidCompression=yes
ShowLanguageDialog=no
PrivilegesRequired=admin
WizardSmallImageFile=.\Icons\graphic_design.bmp
WizardImageFile=.\Icons\WizardImage.bmp
WizardImageStretch=no
WizardImageBackColor=clWhite
Uninstallable=no
DirExistsWarning=no
VersionInfoVersion=2.2.1.221
VersionInfoTextVersion=2.2.1 (Build 221)
AppVersion=2.2.1.221
VersionInfoDescription=CommFort PaintBoard Plugin


[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Messages]
ReadyLabel2a=!!!     ommFort .
;ClickFinish=
;%n%n      .%n   ommFort      ->   PaintBoard    

[Files]
Source: "d:\Programming\PaintBoard\output\PaintBoard.dll.cfplug"; DestDir: {app}; DestName: PaintBoard.cfplug; Flags: ignoreversion replacesameversion

[Code]
var RichEditViewer : TRichEditViewer;

function DetectDir(Param : string): String;
begin
  if Not(RegQueryStringValue(HKEY_LOCAL_MACHINE, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\CommFort client_is1', 'Inno Setup: App Path', Result)) then
    Result := 'C:\Program Files\CommFort';
end;


procedure URLLabelOnClick(Sender: TObject);
var
  ErrorCode: Integer;
begin
  ShellExec('open', 'http://www.commfort.com/rus/forum', '', '', SW_SHOWNORMAL, ewNoWait, ErrorCode);
end;

procedure CreateURLLabel(ParentForm: TSetupForm; CancelButton: TNewButton);
var
  URLLabel: TNewStaticText;
begin
  URLLabel := TNewStaticText.Create(ParentForm);
  URLLabel.Caption := 'www.commfort.com';
  URLLabel.Cursor := crHand;
  URLLabel.OnClick := @URLLabelOnClick;
  URLLabel.Parent := ParentForm;
  URLLabel.Font.Style := URLLabel.Font.Style + [fsUnderline];
  URLLabel.Font.Color := clBlue;
  URLLabel.Top := CancelButton.Top + CancelButton.Height - URLLabel.Height - 2;
  URLLabel.Left := ParentForm.ClientWidth - CancelButton.Left - CancelButton.Width;
end;

procedure CreateFinishReadMe(Page: TNewNotebookPage);

begin
  RichEditViewer := TRichEditViewer.Create(Page);
  RichEditViewer.Top := WizardForm.FinishedLabel.Top {+ WizardForm.FinishedLabel.Height - ScaleY(20)};
  RichEditViewer.Left := WizardForm.FinishedLabel.Left;
  RichEditViewer.Width := WizardForm.FinishedLabel.Width;
  RichEditViewer.Height := Page.Height - RichEditViewer.Top;
//  RichEditViewer. := nil;
  RichEditViewer.BorderStyle := bsNone;
  RichEditViewer.Parent := Page;
  RichEditViewer.UseRichEdit := True;
  RichEditViewer.RTFText := '{\rtf1\ansi\ansicpg1251\deff0\deflang1049\deflangfe1049{\fonttbl{\f0\fswiss\fprq2\fcharset204{\*\fname Arial;}Arial CYR;}{\f1\fnil\fcharset2 Symbol;}}{\colortbl ;\red0\green128\blue0;\red0\green0\blue128;}\viewkind4\uc1\pard\nowidctlpar\tx7242\f0\fs18\''cf\''ee\''f1\''eb\''e5 \''ef\''e5\''f0\''e2\''ee\''e9 \''f3\''f1\''f2\''e0\''ed\''ee\''e2\''ea\''e8 \''ef\''eb\''e0\''e3\''e8\''ed\''e0 \''e5\''e3\''ee \''ed\''e0\''e4\''ee \''e2\''ea\''eb\''fe\''f7\''e8\''f2\''fc. \''c4\''eb\''ff \''fd\''f2\''ee\''e3\''ee \''e2 \cf1\b\''d1\lang1033 ommFort\cf0\lang1049\b0  \''f7\''e0\''f2\''e5 \''ed\''e0\''e4\''ee \''e7\''e0\''e9\''f2\''e8 \''e2 \''ec\''e5\''ed\''fe \b\''ce\''ef\''f6\''e8\''e8->\''cf\''eb\''e0\''e3\''e8\''ed\''fb \b0\''e2\''fb\''e1\''f0\''e0\''f2\''fc \''ef\''eb\''e0\''e3\''e8\''ed \cf2\lang1033\b PaintBoard\cf0\lang1049\b0  \''e8 \''ed\''e0\''e6\''e0\''f2\''fc \''ea\''ed\''ee\''ef\''ea\''f3 \b\fs20\''ab\''c7\''e0\''ef\''f3\''f1\''f2\''e8\''f2\''fc\''bb\par\par\par\fs18\''cf\''ee\''e4\''f1\''ea\''e0\''e7\''ea\''e8: \par\pard{\pntext\f1\''B7\tab}{\*\pn\pnlvlblt\pnf1\pnindent0{\pntxtb\''B7}}\nowidctlpar\fi-142\li142\tx284\tx7242\b0\''d0\''e8\''f1\''f3\''ff \''ef\''f0\''e0\''e2\''ee\''e9 \''ea\''ed\''ee\''ef\''ea\''ee\''e9 \''ec\''fb\''f8\''ea\''e8 - \''f6\''e2\''e5\''f2 \''ef\''e5\''f0\''e0 \''e8 \''f4\''ee\''ed\''e0 \''ec\''e5\''ed\''ff\''fe\''f2\''f1\''ff \''ec\''e5\''f1\''f2\''e0\''ec\''e8\par{\pntext\f1\''B7\tab}\''d7\''f2\''ee\''e1\''fb \''ee\''f2\''ec\''e5\''ed\''e8\''f2\''fc \''f0\''e8\''f1\''f3\''e5\''ec\''fb\''e9 \''fd\''eb\''e5\''ec\''e5\''ed\''f2 \''e7\''e0\''e6\''ec\''e8\''f2\''e5 \''ee\''e1\''e5 \''ea\''ed\''ee\''ef\''ea\''e8 \''ec\''fb\''f8\''e8\par{\pntext\f1\''B7\tab}\''cd\''e0\''ef\''e8\''f1\''e0\''ed\''ed\''fb\''e9 \''f2\''e5\''ea\''f1\''f2 (\''ef\''ee\''ea\''e0 \''ee\''ed \''ed\''e5 \''ee\''f2\''ef\''f0\''e0\''e2\''eb\''e5\''ed) \''ec\''ee\''e6\''ed\''ee \''ef\''e5\''f0\''e5\''ec\''e5\''f1\''f2\''e8\''f2\''fc, \''ea\''eb\''e8\''ea\''ed\''f3\''e2 \''ec\''fb\''f8\''fc\''fe \''e2 \''ed\''f3\''e6\''ed\''ee\''ec \''ec\''e5\''f1\''f2\''e5\par}';
  RichEditViewer.ReadOnly := True;
end;

procedure CurPageChanged(CurPageID: Integer);
begin
  if CurPageID = wpFinished then
    begin
      RichEditViewer.Hide;
      RichEditViewer.Show;
    end;
end;

procedure InitializeWizard();
begin
  CreateURLLabel(WizardForm, WizardForm.CancelButton);
  WizardForm.ReadyLabel.Font.Color := clGreen;
  CreateFinishReadMe(WizardForm.FinishedPage);
  WizardForm.ReadyLabel.Font.Style := [fsBold, fsUnderline];
end;
