unit uConst;

interface

uses Windows, Controls;

type
  TShape =(sPen, sBrush, sStamp, sRect, sEllipse, sText, sLine, sBucket);
  TSendPaintData = procedure(AChannelName, APaintData : String);
const

  {$IFDEF VTALKING}
  INIFILE = 'Incremental Software\V-Talking\Data\PaintBoard.ini';
  CHAT_NAME = 'V-Talking';
  URL_FOR_PLUGIN_UPDATE = 'http://www.sjsoft.tk/download.php?id=paintboard_vt';

  START_PAINT_MESSAGE = '[spoiler]';
  END_PAINT_MESSAGE = '[/spoiler]';
  {$ELSE}
  INIFILE = 'PaintBoard.ini';
  CHAT_NAME = 'CommFort';
  URL_FOR_PLUGIN_UPDATE = 'http://www.sjsoft.tk/download.php?id=paintboard';

  START_PAINT_MESSAGE = '[url=';
  END_PAINT_MESSAGE = ']paint[/url]';
  {$ENDIF}

  BAD_IMAGE_MESSAGE = '     ';


  GEN_SET_SECTION = 'GeneralSettings';

  EXPIRE_YEAR = 2012;
  EXPIRE_MONTH = 3;

  crPicker    = TCursor(-101);
  crBucket    = TCursor(-102);
  crRectangle = TCursor(-103);
  crEllipse   = TCursor(-104);
  crLine      = TCursor(-105);
  crBrush     = TCursor(-106);
  crPencil    = TCursor(-107);
  crStamp     = TCursor(-108);

  CUSTOM_BOARD_MENU_ITEM_CODE = 6284;
  CUSTOM_OPTIONS_MENU_ITEM_CODE = CUSTOM_BOARD_MENU_ITEM_CODE + 1;
  CUSTOM_ABOUT_MENU_ITEM_CODE   = CUSTOM_BOARD_MENU_ITEM_CODE + 2;
implementation

end.
