unit uConst;

interface

uses Windows;

const
  INIFILE             = 'PaintBot.ini';
  START_PAINT_MESSAGE = '[url=';
  END_PAINT_MESSAGE = ']paint[/url]';

  MAX_UNDO_COUNT = 10;

  PM_PLUGIN_USER_JOINED         =  1; //commfort -> plugin:    : ()
  PM_PLUGIN_USER_LEAVED         =  2; //commfort -> plugin:   : ()
  PM_PLUGIN_USERS_LIST          =  3; //commfort -> plugin:    (    ID=60): (  )+()*  
  PM_PLUGIN_MSG_PUB             =  5; //commfort -> plugin:    : ()+()+()
  PM_PLUGIN_TOPIC_CHANGED       =  6; //commfort -> plugin:   : ()+()+( )
  PM_PLUGIN_NAME_CHANGED        =  7; //commfort -> plugin:  : ()+( )
  PM_PLUGIN_STATUS_CHANGED      =  8; //commfort -> plugin:  : ()+( )
  PM_PLUGIN_MSG_PRIV            = 10; //commfort -> plugin:   : ()+()
  PM_PLUGIN_CHANNELS_LIST       = 11; //commfort -> plugin:   (    ID=68): ( )+(()+(   )+( ))* 
  PM_PLUGIN_MSG_PM              = 15; //commfort -> plugin:  : ()+(  )+()
  PM_PLUGIN_USERSINCHANEL_LIST  = 30; //commfort -> plugin:     (    ID=90): ()+(   )+()*   
  PM_PLUGIN_USER_JOINEDCHANEL   = 31; //commfort -> plugin:    : ( )+()
  PM_PLUGIN_USERLEAVEDCHANEL    = 32; //commfort -> plugin:   : ( )+()

  PM_PLUGIN_SNDMSG_PUB          = 50; //plugin -> commfort:    : ()+()
  PM_PLUGIN_SNDSTATE_PUB        = 51; //plugin -> commfort:    : ()+()
  PM_PLUGIN_RESTRICT_SET        = 52; //plugin -> commfort:  : ( )+( )+( )+(  )+( ,  IP-,   IP-)+( )+( )
                                      // : 0 -    , 1 -    , 2 -    , 3 -   , 4 -   .  : 0 -   1 - IP- 2 -  IP- (: 192.168.0.0-192.168.0.255)  : 0 -   1 -  
  PM_PLUGIN_USERS_GET           = 60; //plugin -> commfort:    
  PM_PLUGIN_TOPIC_CHANGE        = 61; //plugin -> commfort:   : ()+( )
  PM_PLUGIN_GREETING_CHANGE     = 62; //plugin -> commfort:   : ()+( )
  PM_PLUGIN_SNDMSG_PRIV         = 63; //plugin -> commfort:    : ()+()
  PM_PLUGIN_SNDSTATE_PRIV       = 64; //plugin -> commfort:    : ()+()
  PM_PLUGIN_PRIV_CHANNEL_LEAVE  = 65; //plugin -> commfort:   : ()
  PM_PLUGIN_CHANNEL_LEAVE       = 66; //plugin -> commfort:   : ()
  PM_PLUGIN_CHANNEL_JOIN        = 67; //plugin -> commfort: /   : ()+() : 0 -     /   1 -    /   2 -     /    3 -    /   
  PM_PLUGIN_CHANNELS_GET        = 68; //plugin -> commfort:   
  PM_PLUGIN_SNDMSG_PM           = 70; //plugin -> commfort:   : ()+( )+() : 0 -   1 -  
  PM_PLUGIN_USERSINCHANNEL_GET  = 90; //plugin -> commfort:     

  PP_VUSER_LOGIN_FAIL = 1090;
  PP_USER_ENTER_CHAT = 1078;
  PP_USER_LEAVE_CHAT = 1079;
  PP_VUSER_JOIN_CHANNEL = 1062;
  PP_VUSER_JOIN_CHANNEL_FAIL = 1091;
  PP_USER_JOIN_CHANNEL = 1072;
  PP_USER_LEAVE_CHANNEL = 1073;
  PP_USER_CHANGE_STATE = 1077;
  PP_USER_CHANGE_ICON = 1076;
  PP_USER_MSG_IN_CHANNEL = 1070;
  PP_USER_MSG_IN_PRIVATE_CHANNEL = 1060;
  PP_USER_PRIVATE_MESSAGE = 1061;
  PP_USER_CHANGE_TOPIC = 1071;
  PP_USER_REGISTERED = 1081;
  PP_USER_ACTIVATION_QUEUE = 1082;
implementation

end.
